Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598580 - totem doesn't check for codec on subsequent plays
totem doesn't check for codec on subsequent plays
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On: 595892
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 12:36 EDT by Máirín Duffy
Modified: 2012-08-16 15:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 595892
Environment:
Last Closed: 2012-08-16 15:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Bastien Nocera 2010-06-01 12:55:40 EDT
+++ This bug was initially created as a clone of Bug #595892 +++

Description of problem:

Say I have a fresh system, and I have an mpg I'm trying to play.
Totem gives me a popup (I think through packagekit) that it can search for the
appropriate codec. So I told it, okay, go search, and it didn't find it. 

Keeping totem open, I set up rpm fusion and installed the gstreamer-*-plugins
via yum in a terminal. I went back to the totem window and hit play. It gave me
a message saying it couldn't play the movie, it was missing codecs.

I closed totem. I re-opened it. The movie played fine.

I think maybe totem should check again when I hit play after doing the manual
codec install? It seemed to be assuming it didn't have the codec and not
re-checking.

Maybe it's a silly issue, but when I was in the thick of it, it confused me a
lot until I figured out what was going on and thought to restart totem. I
figured it would be worth a bug report, just in case.

How reproducible:
it's a little hard to reproduce because you can't have the codecs already
installed to reproduce it.

--- Additional comment from bnocera@redhat.com on 2010-05-25 18:45:51 EDT ---

That's not a bug, it's working as designed.

We didn't want to have the codec installer show up for every file of the same
type you tried to play. So we try to auto-install the codecs once for each time
Totem was run.

If PackageKit could make sure that the user only gets asked once for every run,
*unless something changed* (like a new repository being setup), then we could
disable that.

--- Additional comment from rhughes@redhat.com on 2010-06-01 11:25:56 EDT ---

I do think we could add such a feature in F14 tho.

From an implementation point of view, we can keep a list of the results from
the WhatProvides method and drop the cache if we get RepoListChanged from
packagekitd.
Comment 3 Bug Zapper 2010-07-30 07:46:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2012-08-16 15:58:09 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.